Package jakarta.el

## Class MethodInfo

- java.lang.Object
- - jakarta.el.MethodInfo

    public class MethodInfo
    extends java.lang.Object

### Constructor Summary

Constructors
`MethodInfo​(java.lang.String name, java.lang.Class<?> returnType, java.lang.Class<?>[] paramTypes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `getName()`
`java.lang.Class<?>[]` `getParamTypes()`
`java.lang.Class<?>` `getReturnType()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodInfo

    public MethodInfo​(java.lang.String name,
                      java.lang.Class<?> returnType,
                      java.lang.Class<?>[] paramTypes)

### Method Detail

#### getName

    public java.lang.String getName()

#### getReturnType

    public java.lang.Class<?> getReturnType()

#### getParamTypes

    public java.lang.Class<?>[] getParamTypes()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`